.pretty-checkbox {
    position: relative;
    display: inline-block;

    &__input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;

        &:focus + .pretty-checkbox__label {

            &:before {
            }
        }

        &:checked + .pretty-checkbox__label {

            .pretty-checkbox__text {
                color: $blue;
                font-weight: 600;
            }

            &::before {
                background-color: $blue;
            }

            &::after {
                opacity: 1;
                visibility: visible;
            }
        }

        &:disabled + .pretty-checkbox__label {
            opacity: 0.4;
        }
    }

    &__label {
        cursor: pointer;
        color: #3a3a3a;
        font-size: rem(14);
        line-height: rem(20);
        position: relative;
        padding-left: rem(30);
        display: inline-block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: rem(20);
            height: rem(20);
            display: block;
            position: absolute;
            background: #F4F2FB;
            border-radius: rem(3);
        }

        &:after {
            z-index: 5;
            content : '';
            opacity: 0;
            height : rem(6);
            width : rem(6);
            background: $white;
            position : absolute;
            border-radius : rem(1);
            top : rem(7);
            left : rem(7);
        }
    }

    &__value {
        color: #847F97;
        font-size: rem(13);
        line-height: rem(20);
    }
}
